import { defineStore } from "pinia";

export const useExamStore = defineStore("exam-store", () => {
  const category = ref("");
  const end = ref(false);
  const result: Ref<ResultEndType> = ref({
    basic: [],
    advanced: [],
  });
  function resetExam() {
    category.value = "";
    mildReset();
  }
  function mildReset() {
    end.value = false;
    result.value = {
      basic: [],
      advanced: [],
    };
  }

  return {
    category,
    end,
    result,
    resetExam,
    mildReset,
  };
});
